var search_data = {"index":{"searchIndex":["timecode","cannotparse","computationvalues","error","rangeerror","wrongdropflag","wrongframerate","*()","+()","-()","/()","<=>()","add_custom_framerate!()","adjacent_to?()","at()","check_framerate!()","coerce()","convert()","drop?()","fps()","frame_interval()","framerate_in_delta()","frames()","from_filename_in_sequence()","from_seconds()","from_uint()","hours()","minutes()","new()","new()","new()","parse()","parse_with_fractional_seconds()","parse_with_ticks()","seconds()","soft_parse()","succ()","supported_framerates()","to_f()","to_i()","to_s()","to_s_without_rollover()","to_seconds()","to_uint()","total()","validate!()","validate_atoms!()","value_parts()","with_fractional_seconds()","with_frames_as_fraction()","with_srt_fraction()","zero?()"],"longSearchIndex":["timecode","timecode::cannotparse","timecode::computationvalues","timecode::error","timecode::rangeerror","timecode::wrongdropflag","timecode::wrongframerate","timecode#*()","timecode#+()","timecode#-()","timecode#/()","timecode#<=>()","timecode::add_custom_framerate!()","timecode#adjacent_to?()","timecode::at()","timecode::check_framerate!()","timecode#coerce()","timecode#convert()","timecode#drop?()","timecode#fps()","timecode#frame_interval()","timecode#framerate_in_delta()","timecode#frames()","timecode::from_filename_in_sequence()","timecode::from_seconds()","timecode::from_uint()","timecode#hours()","timecode#minutes()","timecode::new()","timecode::new()","timecode::computationvalues::new()","timecode::parse()","timecode::parse_with_fractional_seconds()","timecode::parse_with_ticks()","timecode#seconds()","timecode::soft_parse()","timecode#succ()","timecode::supported_framerates()","timecode#to_f()","timecode#to_i()","timecode#to_s()","timecode#to_s_without_rollover()","timecode#to_seconds()","timecode#to_uint()","timecode#total()","timecode#validate!()","timecode::validate_atoms!()","timecode#value_parts()","timecode#with_fractional_seconds()","timecode#with_frames_as_fraction()","timecode#with_srt_fraction()","timecode#zero?()"],"info":[["Timecode","","Timecode.html","",""],["Timecode::CannotParse","","Timecode/CannotParse.html","","<p>Gets raised when a timecode cannot be parsed\n"],["Timecode::ComputationValues","","Timecode/ComputationValues.html","",""],["Timecode::Error","","Timecode/Error.html","","<p>All Timecode lib errors inherit from this\n"],["Timecode::RangeError","","Timecode/RangeError.html","","<p>Gets raised if timecode is out of range (like 100 hours long)\n"],["Timecode::WrongDropFlag","","Timecode/WrongDropFlag.html","","<p>Gets raised when you try to compute two timecodes with different drop frame flag together\n"],["Timecode::WrongFramerate","","Timecode/WrongFramerate.html","","<p>Gets raised when you try to compute two timecodes with different framerates together\n"],["*","Timecode","Timecode.html#method-i-2A","(arg)","<p>Multiply the timecode by a number\n"],["+","Timecode","Timecode.html#method-i-2B","(arg)","<p>add number of frames (or another timecode) to this one\n"],["-","Timecode","Timecode.html#method-i-2D","(arg)","<p>Subtract a number of frames\n"],["/","Timecode","Timecode.html#method-i-2F","(arg)","<p>Get the number of times a passed timecode fits into this time span (if performed with Timecode) or a …\n"],["<=>","Timecode","Timecode.html#method-i-3C-3D-3E","(other_tc)","<p>Timecodes can be compared to each other\n"],["add_custom_framerate!","Timecode","Timecode.html#method-c-add_custom_framerate-21","(rate)","<p>Use this to add a custom framerate\n"],["adjacent_to?","Timecode","Timecode.html#method-i-adjacent_to-3F","(another)","<p>Tells whether the passes timecode is immediately to the left or to the right of that one with a 1 frame …\n"],["at","Timecode","Timecode.html#method-c-at","(hrs, mins, secs, frames, with_fps = DEFAULT_FPS, drop_frame = false)","<p>Initialize a Timecode object at this specfic timecode\n"],["check_framerate!","Timecode","Timecode.html#method-c-check_framerate-21","(fps)","<p>Check the passed framerate and raise if it is not in the list\n"],["coerce","Timecode","Timecode.html#method-i-coerce","(to)",""],["convert","Timecode","Timecode.html#method-i-convert","(new_fps, drop_frame = @drop_frame)","<p>Convert to different framerate and drop frame based on the total frames. Therefore, 1 second of PAL video …\n"],["drop?","Timecode","Timecode.html#method-i-drop-3F","()","<p>get DF\n"],["fps","Timecode","Timecode.html#method-i-fps","()","<p>get FPS\n"],["frame_interval","Timecode","Timecode.html#method-i-frame_interval","()","<p>get frame interval in fractions of a second\n"],["framerate_in_delta","Timecode","Timecode.html#method-i-framerate_in_delta","(one, two)","<p>Validate that framerates are within a small delta deviation considerable for floats\n"],["frames","Timecode","Timecode.html#method-i-frames","()","<p>get the number of frames\n"],["from_filename_in_sequence","Timecode","Timecode.html#method-c-from_filename_in_sequence","(filename_with_or_without_path, fps = DEFAULT_FPS)","<p>Parses the timecode contained in a passed filename as frame number in a sequence\n"],["from_seconds","Timecode","Timecode.html#method-c-from_seconds","(seconds_float, the_fps = DEFAULT_FPS, drop_frame = false)","<p>create a timecode from the number of seconds. This is how current time is supplied by QuickTime and other …\n"],["from_uint","Timecode","Timecode.html#method-c-from_uint","(uint, fps = DEFAULT_FPS)","<p>Some systems (like SGIs) and DPX format store timecode as unsigned integer, bit-packed. This method unpacks …\n"],["hours","Timecode","Timecode.html#method-i-hours","()","<p>get the number of hours\n"],["minutes","Timecode","Timecode.html#method-i-minutes","()","<p>get the number of minutes\n"],["new","Timecode","Timecode.html#method-c-new","(total = 0, fps = DEFAULT_FPS, drop_frame = false)","<p>Initialize a new Timecode object with a certain amount of frames, a framerate and an optional drop frame …\n"],["new","Timecode","Timecode.html#method-c-new","(from = nil, fps = DEFAULT_FPS, drop_frame = false)","<p>Use initialize for integers and parsing for strings\n"],["new","Timecode::ComputationValues","Timecode/ComputationValues.html#method-c-new","(fps, drop_frame)",""],["parse","Timecode","Timecode.html#method-c-parse","(spaced_input, with_fps = DEFAULT_FPS)","<p>Parse timecode entered by the user. Will raise if the string cannot be parsed. The following formats …\n"],["parse_with_fractional_seconds","Timecode","Timecode.html#method-c-parse_with_fractional_seconds","(tc_with_fractions_of_second, fps = DEFAULT_FPS)","<p>Parse a timecode with fractional seconds instead of frames. This is how ffmpeg reports a timecode\n"],["parse_with_ticks","Timecode","Timecode.html#method-c-parse_with_ticks","(tc_with_ticks, fps = DEFAULT_FPS)","<p>Parse a timecode with ticks of a second instead of frames. A &#39;tick&#39; is defined as 4 msec and …\n"],["seconds","Timecode","Timecode.html#method-i-seconds","()","<p>get the number of seconds\n"],["soft_parse","Timecode","Timecode.html#method-c-soft_parse","(input, with_fps = DEFAULT_FPS)","<p>Parse timecode and return zero if none matched\n"],["succ","Timecode","Timecode.html#method-i-succ","()","<p>Get the next frame\n"],["supported_framerates","Timecode","Timecode.html#method-c-supported_framerates","()","<p>Returns the list of supported framerates for this subclass of Timecode\n"],["to_f","Timecode","Timecode.html#method-i-to_f","()","<p>get total frames as float\n"],["to_i","Timecode","Timecode.html#method-i-to_i","()","<p>get total frames as integer\n"],["to_s","Timecode","Timecode.html#method-i-to_s","()","<p>Get formatted SMPTE timecode. Hour count larger than 99 will roll over to the next remainder (129 hours …\n"],["to_s_without_rollover","Timecode","Timecode.html#method-i-to_s_without_rollover","()","<p>Get formatted SMPTE timecode. Hours might be larger than 99 and will not roll over\n"],["to_seconds","Timecode","Timecode.html#method-i-to_seconds","()","<p>get the timecode as a floating-point number of seconds (used in Quicktime)\n"],["to_uint","Timecode","Timecode.html#method-i-to_uint","()","<p>get the timecode as bit-packed unsigned 32 bit int (suitable for DPX and SGI)\n"],["total","Timecode","Timecode.html#method-i-total","()","<p>get total frame count\n"],["validate!","Timecode","Timecode.html#method-i-validate-21","()","<p>Prepare and format the values for TC output\n"],["validate_atoms!","Timecode","Timecode.html#method-c-validate_atoms-21","(hrs, mins, secs, frames, with_fps)","<p>Validate the passed atoms for the concrete framerate\n"],["value_parts","Timecode","Timecode.html#method-i-value_parts","()",""],["with_fractional_seconds","Timecode","Timecode.html#method-i-with_fractional_seconds","(pattern = WITH_FRACTIONS_OF_SECOND)",""],["with_frames_as_fraction","Timecode","Timecode.html#method-i-with_frames_as_fraction","(pattern = WITH_FRACTIONS_OF_SECOND)","<p>FFmpeg expects a fraction of a second as the last element instead of number of frames. Use this method …\n"],["with_srt_fraction","Timecode","Timecode.html#method-i-with_srt_fraction","()","<p>SRT uses a fraction of a second as the last element instead of number of frames, with a comma as the …\n"],["zero?","Timecode","Timecode.html#method-i-zero-3F","()","<p>is the timecode at 00:00:00:00\n"]]}}